package com.iamberry.cms.core.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 奶粉信息 实体类
 * 2016年12月12日
 * 穆再兴
 * @author Administrator
 *
 */
public class MilkPowderInfo implements Serializable{
	
	private static final long serialVersionUID = -104586575800168679L;
	
	private Long id;							//id
	private String powderNumber;				// 奶粉编号
	private String spoonPicture;				// 图片
	private String barCode;						// 条形码
	private String brand;						// 品牌
	
	private String series;						// 系列
	private String level;						// 段数
	private String version;						// 版本
	private String ageRange;					// 适用年龄范围
	private Float weightPerSpoon;				// 每勺多少克
	
	private Float milkVolumePerSpoon;			// 奶量
	private Float powderRatio;					// 比例
	private Float density;						//密度
	private Integer type;						//类型
	private String status;						//状态	approved(已认证)	not_approved(未认证)	电话号码为用户上传
	private Date createdOn;						//创建时间
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getPowderNumber() {
		return powderNumber;
	}
	public void setPowderNumber(String powderNumber) {
		this.powderNumber = powderNumber;
	}
	public String getSpoonPicture() {
		return spoonPicture;
	}
	public void setSpoonPicture(String spoonPicture) {
		this.spoonPicture = spoonPicture;
	}
	public String getBarCode() {
		return barCode;
	}
	public void setBarCode(String barCode) {
		this.barCode = barCode;
	}
	public String getBrand() {
		return brand;
	}
	public void setBrand(String brand) {
		this.brand = brand;
	}
	public String getSeries() {
		return series;
	}
	public void setSeries(String series) {
		this.series = series;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getAgeRange() {
		return ageRange;
	}
	public void setAgeRange(String ageRange) {
		this.ageRange = ageRange;
	}
	public Float getWeightPerSpoon() {
		return weightPerSpoon;
	}
	public void setWeightPerSpoon(Float weightPerSpoon) {
		this.weightPerSpoon = weightPerSpoon;
	}
	public Float getMilkVolumePerSpoon() {
		return milkVolumePerSpoon;
	}
	public void setMilkVolumePerSpoon(Float milkVolumePerSpoon) {
		this.milkVolumePerSpoon = milkVolumePerSpoon;
	}
	public Float getPowderRatio() {
		return powderRatio;
	}
	public void setPowderRatio(Float powderRatio) {
		this.powderRatio = powderRatio;
	}
	public Float getDensity() {
		return density;
	}
	public void setDensity(Float density) {
		this.density = density;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Date getCreatedOn() {
		return createdOn;
	}
	public void setCreatedOn(Date createdOn) {
		this.createdOn = createdOn;
	}
	@Override
	public String toString() {
		return "MilkPowder [id=" + id + ", powderNumber=" + powderNumber
				+ ", spoonPicture=" + spoonPicture + ", barCode=" + barCode
				+ ", brand=" + brand + ", series=" + series + ", level="
				+ level + ", version=" + version + ", ageRange=" + ageRange
				+ ", weightPerSpoon=" + weightPerSpoon
				+ ", milkVolumePerSpoon=" + milkVolumePerSpoon
				+ ", powderRatio=" + powderRatio + ", density=" + density
				+ ", type=" + type + ", status=" + status + ", createdOn="
				+ createdOn + "]";
	}
	
}
